Subject: bug#60220: 29.0.60; macOS 13.1 crash shortly after starting Emacs

From: Aaron Jensen <[email-masked]>
Date: Thu, 29 Dec 2022 17:47:51 -0500

On Tue, Dec 27, 2022 at 8:11 AM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Aaron Jensen <[email-masked]>
> > Date: Tue, 27 Dec 2022 06:12:35 -0500
> > Cc: [email-masked], [email-masked], [email-masked]
> >
> > I found a similar issue in another program:
> > https://forum.xojo.com/t/xojo-2022r3-1-crashes-galore/72887/142
>
> Maybe, maybe not.  Your crashes always happen after restarting, right?
> You don't see crashes inside dlopen if you never restart, correct?
>
> But yes, it could be something related.  My production session has 260
> *.eln files loaded, for example.  So if macOS 13 has problems with
> loading many shared libraries, maybe this is one of the symptoms.

I can't say that with 100% certainty. Sometimes the crashes are hours
after I started Emacs and I don't know if I had ever restarted that
session. I do seem to be crashing a lot less frequently after the
signal patch, which is probably just a coincidence, but who knows.

Aaron